﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.Diagnostics;

namespace WindowsFormsApplication62
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void ultraGrid1_AfterRowLayoutItemResized(object sender, Infragistics.Win.UltraWinGrid.AfterRowLayoutItemResizedEventArgs e)
        {
            Debug.Write("AfterRowLayoutItemResized: ");

            if (e.RowLayoutItem is UltraGridColumn)
            {
                // If the RowLayoutItem is an instance of UltraGridColumn, then cells associated
                // with that column are being resized.
                UltraGridColumn column = (UltraGridColumn)e.RowLayoutItem;

                Debug.Write("Cell in row-layout resized. Column = " + column.Header.Caption);
            }
            else
            {
                // If the RowLayoutItem is an instance of HeaderBase, then column header (also 
                // referred to as column label) is being resized.
                HeaderBase header = (HeaderBase)e.RowLayoutItem;

                Debug.Write("Header in row-layout resized. Header = " + header.Caption);
            }

            Debug.WriteLine(" New Size = " + e.RowLayoutItem.PreferredSize);
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Bands[0].RowLayoutStyle = Infragistics.Win.UltraWinGrid.RowLayoutStyle.GroupLayout;
        }
    }
}
